<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::prob_impl::hessian&lt; vect_type &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>prob_impl</b></li><li class="navelem"><a class="el" href="structdlib_1_1prob__impl_1_1hessian.html">hessian</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1prob__impl_1_1hessian-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::prob_impl::hessian&lt; vect_type &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a40e5051dea21c2529e53e04c710a1e61"><td class="memItemLeft" align="right" valign="top"><a id="a40e5051dea21c2529e53e04c710a1e61"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>hessian</b> (const vect_type &amp;f_, const vect_type &amp;t_)</td></tr>
<tr class="separator:a40e5051dea21c2529e53e04c710a1e61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0abf251c2a66b0e492978c1482ad74bc"><td class="memItemLeft" align="right" valign="top"><a id="a0abf251c2a66b0e492978c1482ad74bc"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 2, 2 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 2, 1 &gt; &amp;x) const</td></tr>
<tr class="separator:a0abf251c2a66b0e492978c1482ad74bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a77fb99c3b778fc76a1248b460ab1e9c0"><td class="memItemLeft" align="right" valign="top"><a id="a77fb99c3b778fc76a1248b460ab1e9c0"></a>
const vect_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>f</b></td></tr>
<tr class="separator:a77fb99c3b778fc76a1248b460ab1e9c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af120a6e269539edf05b493cfba7aad5e"><td class="memItemLeft" align="right" valign="top"><a id="af120a6e269539edf05b493cfba7aad5e"></a>
const vect_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>t</b></td></tr>
<tr class="separator:af120a6e269539edf05b493cfba7aad5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="svm_2svm_8h_source.html">svm/svm.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
